/*******************************************************************************
 * Module Name: microstick_uart.h
 * Module Desc: Microstick II UART (J6) operations header file
 * 
 * Author: Ryan Clarke
 * Date:   7 August 2015
 * Email:  rfclarke@alum.wpi.edu
 ******************************************************************************/

#ifndef UART_H
#define	UART_H

#ifdef	__cplusplus
extern "C" {
#endif

#include <stdbool.h>
#include <stdint.h>
    
#define UART_9600  416
#define UART_19200 207
#define UART_38400 103
#define UART_57600  68

#define UART_BUF_SIZE 5
    
void microstick2_uart_init(unsigned int);

void microstick2_uart_putc(char);
void microstick2_uart_puts(const char *);
const char * microstick2_uart_gets(void);

#ifdef	__cplusplus
}
#endif

#endif	/* UART_H */

