/*******************************************************************************
 * Module Name: spi_rom.h
 * Module Desc: SPI Serial ROM header
 * 
 * Author: Ryan Clarke
 * Date:   7 August 2015
 * Email:  rfclarke@alum.wpi.edu
 ******************************************************************************/

#ifndef SPI_ROM_H
#define	SPI_ROM_H

#ifdef	__cplusplus
extern "C" {
#endif

#include <stdint.h>

#define ROM_SELECT_N LATAbits.LATA1
#define ROM_SELECT_TRIS TRISAbits.TRISA1
    
#define SPI_ROM_SIZE 16

#define SPI_CMD_READ 0
#define SPI_CMD_ADDR (1<<4)
    
typedef enum commands
{
    CMD_DUMP,
    CMD_READ,
    CMD_ADDR,
    CMD_ERROR,
    CMD_NOP
} command_t;

command_t cmd_parser(const char *);
void dump_rom(void);
char * btox(char *, uint8_t);

#ifdef	__cplusplus
}
#endif

#endif	/* SPI_ROM_H */

