/*******************************************************************************
Module Name: rom_16x8
Module Desc: 128-bit (16 x 8-bit) synchronous ROM

Author: Ryan Clarke
Data:   7 August 2015
E-Mail: rfclarke@alum.wpi.edu
*******************************************************************************/

module rom_16x8
    (
    // 50 MHz clock
    input wire clk,
    
    // ROM connections
    input wire [3:0] addr,
    output reg [7:0] data
    );
    
    reg [3:0] addr_reg;
        
    // ROM address register
    always @(posedge clk) begin
        addr_reg <= addr;
    end

    // ROM data
    always @* begin
        case(addr_reg)
            4'h0: data = "H";
            4'h1: data = "e";
            4'h2: data = "l";
            4'h3: data = "l";
            4'h4: data = "o";
            4'h5: data = ",";
            4'h6: data = " ";
            4'h7: data = "w";
            4'h8: data = "o";
            4'h9: data = "r";
            4'ha: data = "l";
            4'hb: data = "d";
            4'hc: data = "!";
            4'hd: data = 0;
            4'he: data = 0;
            4'hf: data = 0;
        endcase
    end
    
endmodule
